net.corda.core.contracts

## Class UniqueIdentifier.Companion

- net.corda.core.contracts.UniqueIdentifier.Companion

- Enclosing class:
    UniqueIdentifier

      public static class UniqueIdentifier.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UniqueIdentifier` | `fromString(java.lang.String name)` Helper function for unit tests where the UUID needs to be manually initialised for consistency.

- - ### Method Detail

    - #### fromString

          public UniqueIdentifier fromString(java.lang.String name)

      Helper function for unit tests where the UUID needs to be manually initialised for consistency.